KWIN_CREATE_GENERIC(3)

EXPERIMENTAL_FUNC
kwin_create_generic - Create generic pixel canvas.

SYNOPSIS
#include <karma_kwin.h>

KPixCanvas kwin_create_generic

(void *info, int xoff, int yoff, int width, int height, unsigned int depth, unsigned int visual, flag visible, KPixFuncCreateChild create_child, KPixFuncClearArea clear_area, KPixFuncDestroy destroy, ...)

DESCRIPTION
This routine will create a pixel canvas. The interface to this routine is generic. Note that the origin of a KPixCanvas is the upper-left corner.

info
    A pointer to canvas specific data.

xoff
    The horizontal offset of the canvas origin (upper-left corner) relative to the parent object.

yoff
    The vertical offset of the canvas origin (upper-left corner) relative to the parent object.

width
    The width (vertical extent) of the canvas.

height
    The height (horizontal extent) of the canvas.

depth
    The depth (in bits) of the canvas.

visual
    The visual type of the canvas.

visible
    TRUE if the canvas is visible, else FALSE.

create_child
    The function that is called when a child canvas is created.

clear_area
    The function that is called when the canvas is to be cleared.

destroy
    The function that is called when the canvas is destroyed.

... The optional list of parameter attribute-key attribute-value pairs must follow. See the header file for details on defined attributes. This list must be terminated with the value KWIN_ATT_END .

RETURN VALUE
A pixel canvas on success, else NULL.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/